// SPDX-License-Identifier: Apache-2.0
import { Query } from "../../../../../../core/query/Query";
export class GetCouponForQueryResponse {
    couponFor;
    constructor(couponFor) {
        this.couponFor = couponFor;
    }
}
export class GetCouponForQuery extends Query {
    targetId;
    securityId;
    couponId;
    constructor(targetId, securityId, couponId) {
        super();
        this.targetId = targetId;
        this.securityId = securityId;
        this.couponId = couponId;
    }
}
